package PureMessage::MessageStore::Dir::Config;

use strict;
use base 'ActiveState::Config';

sub new {
    my($class, $conf, %opt) = @_;
    my $self = $class->SUPER::new( allow_includes => 0 );
    $self->parse_file($conf, rotate => 9, %opt);
    $self;
}

sub value {
    my $self = shift;
    scalar ActiveState::Config::path_value($self->root, @_);
}

1;
